<?php
    include "misc.inc";
    include "common.inc";
    include "db_connect.inc";

    $login     = trim($login);
    $password  = trim($password);

    if(strlen($login)==0 || strlen($password)==0)
    {
        $ok=0; 
    } else
    {
        $result = mysql_db_query($db_database,
                             "SELECT Password FROM Logins WHERE Login='" . addslashes($login) . "'", $link);
       $row = mysql_fetch_array($result);
       $realpass = trim($row[0]);
       mysql_free_result($result);
       $ok=strcmp($password,$realpass)==0;
    }

    if($ok)
    {
        // Update last login time
        mysql_db_query($db_database, "UPDATE Logins SET LastLoggedAt=NOW() WHERE Login='" . addslashes($login) . "'", $link);

        setcookie("OBECUSER", $login, time()+3600*24); // Expire in 24 hours
        setcookie("OBECPASS", md5($password), time()+3600*24); // Expire in 24 hours
        do_redirect("index.php");
    } else
    {
          start_page();
    }
?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
<TITLE>Пароль указан неверно!</TITLE>
</HEAD>

<BODY link="#000033" vlink="#333333" alink="#CC0000">
<?php show_header(); ?>

<p>Пароль или псевдоним указаны неверно.  
<a href="login.php">Вернитесь</a>, и попробуйте еще раз.

<?php show_footer(); ?>

</BODY>
</HTML>
